// MIT © 2017 azu
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.lowerFirstCharacter = exports.upperFirstCharacter = exports.isCapitalized = exports.getPosFromSingleWord = void 0;

var _require = require("en-pos"),
    Tag = _require.Tag;

var getPosFromSingleWord = function getPosFromSingleWord(word) {
  var tags = new Tag([word]).initial() // initial dictionary and pattern based tagging
  .smooth().tags; // further context based smoothing

  return tags[0];
};

exports.getPosFromSingleWord = getPosFromSingleWord;

var isCapitalized = function isCapitalized(string) {
  return /^[A-Z]/.test(string);
};
/**
 * to upper
 * @param {string} string
 * @returns {string}
 */


exports.isCapitalized = isCapitalized;

var upperFirstCharacter = function upperFirstCharacter(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
};
/**
 * @param {string} string
 * @returns {string}
 */


exports.upperFirstCharacter = upperFirstCharacter;

var lowerFirstCharacter = function lowerFirstCharacter(string) {
  return string.charAt(0).toLocaleLowerCase() + string.slice(1);
};

exports.lowerFirstCharacter = lowerFirstCharacter;
//# sourceMappingURL=captalize.js.map